API ReferenceUsersUserid
Get a user by ID
Fetches a single user’s details by their unique ID.
Middlewares: authMiddleware, validateParamsUser
x-api-key<token>
API key for authentication
In: header
Path Parameters
userIdstring
A valid MongoDB ObjectId
Response Body
application/json
curl -X GET "https://api.paperlesspaper.de/v1/users/682fd0d7d4a6325d9d45b86d"[
{
"id": "682fd0d7d4a6325d9d45b86d",
"name": "Jane Doe",
"email": "[email protected]"
},
{
"id": "682fd0d7d4a6325d9d45b86f",
"name": "John Smith",
"email": "[email protected]"
}
]